From 1c90812ea4c4157b034f34f14d6433a3b0de8d79 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 10:18:57 +0000
Subject: [PATCH 506/1001] Retrieve the user by its username since there are no more openid url to use


---

diff --git a/hubs/app.py b/hubs/app.py
index 9f731b3..bddaa29 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -458,7 +458,7 @@ def widget_source(name):
     return flask.redirect(SOURCE_URL + fname)
 
 
-# Set up OpenID in stateless mode
+# Set up OpenIDConnect
 FAS = OpenIDConnect(app, credentials_store=flask.session )
 
 
@@ -575,7 +575,7 @@ def get_widget(session, hub, idx):
 @login_required
 def hub_subscribe(hub):
     hub = get_hub(session, hub)
-    user = hubs.models.User.by_openid(session, flask.g.auth.openid)
+    user = hubs.models.User.by_username(session, flask.g.auth.nickname)
     hub.subscribe(session, user)
     session.commit()
     return flask.redirect(flask.url_for('hub', name=hub.name))
@@ -585,7 +585,7 @@ def hub_subscribe(hub):
 @login_required
 def hub_unsubscribe(hub):
     hub = get_hub(session, hub)
-    user = hubs.models.User.by_openid(session, flask.g.auth.openid)
+    user = hubs.models.User.by_username(session, flask.g.auth.nickname)
     try:
         hub.unsubscribe(session, user)
     except KeyError:
@@ -598,7 +598,7 @@ def hub_unsubscribe(hub):
 @login_required
 def hub_star(hub):
     hub = get_hub(session, hub)
-    user = hubs.models.User.by_openid(session, flask.g.auth.openid)
+    user = hubs.models.User.by_username(session, flask.g.auth.nickname)
     hub.subscribe(session, user, role='stargazer')
     session.commit()
     return flask.redirect(flask.url_for('hub', name=hub.name))
@@ -608,7 +608,7 @@ def hub_star(hub):
 @login_required
 def hub_unstar(hub):
     hub = get_hub(session, hub)
-    user = hubs.models.User.by_openid(session, flask.g.auth.openid)
+    user = hubs.models.User.by_username(session, flask.g.auth.nickname)
     try:
         hub.unsubscribe(session, user, role='stargazer')
     except KeyError:
@@ -621,7 +621,7 @@ def hub_unstar(hub):
 @login_required
 def hub_join(hub):
     hub = get_hub(session, hub)
-    user = hubs.models.User.by_openid(session, flask.g.auth.openid)
+    user = hubs.models.User.by_username(session, flask.g.auth.nickname)
     hub.subscribe(session, user, role='member')
     session.commit()
     return flask.redirect(flask.url_for('hub', name=hub.name))
@@ -631,7 +631,7 @@ def hub_join(hub):
 @login_required
 def hub_leave(hub):
     hub = get_hub(session, hub)
-    user = hubs.models.User.by_openid(session, flask.g.auth.openid)
+    user = hubs.models.User.by_username(session, flask.g.auth.nickname)
     try:
         hub.unsubscribe(session, user, role='member')
     except KeyError:

